module Templates.Base where

import Data.Text
import Data.String (fromString)
import Lucid

baseDoc :: String -> Html () -> Html ()
baseDoc title nav = doctypehtml_ $ do
  head_ $ do
    title_ (fromString title)
    link_ [rel_ "stylesheet", type_ "text/css", href_ "style.css"]
  body_ nav

baseNav :: Html ()
baseNav = h1_ "This will be a nav eventually."
